- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

# pylibiscsi.c File Reference

`#include <Python.h>`
`#include "libiscsi.h"`

## Data Structures
struct | PyIscsiChapAuthInfo
struct | PyIscsiNode
## Functions
PyMODINIT_FUNC | initlibiscsi (void)
## Variables
PyTypeObject | PyIscsiChapAuthInfo_Type
PyTypeObject | PyIscsiNode_Type

## Function Documentation

PyMODINIT_FUNC initlibiscsi | ( | void |  | ) |

## Variable Documentation

PyTypeObject PyIscsiChapAuthInfo_Type

Initial value:

     {
            PyObject_HEAD_INIT(NULL)
            .tp_name = "libiscsi.chapAuthInfo",
            .tp_basicsize = sizeof (PyIscsiChapAuthInfo),
            .tp_getset = PyIscsiChapAuthInfo_getseters,
            .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_CHECKTYPES |
                        Py_TPFLAGS_BASETYPE,
            .tp_compare = (cmpfunc)PyIscsiChapAuthInfo_compare,
            .tp_init = PyIscsiChapAuthInfo_init,
            .tp_str = PyIscsiChapAuthInfo_str,
            .tp_new = PyType_GenericNew,
            .tp_doc = "iscsi chap authentication information.",
    }

PyTypeObject PyIscsiNode_Type

Initial value:

     {
            PyObject_HEAD_INIT(NULL)
            .tp_name = "libiscsi.node",
            .tp_basicsize = sizeof (PyIscsiNode),
            .tp_getset = PyIscsiNode_getseters,
            .tp_flags = Py_TPFLAGS_DEFAULT | Py_TPFLAGS_CHECKTYPES |
                        Py_TPFLAGS_BASETYPE,
            .tp_methods = PyIscsiNode_methods,
            .tp_compare = (cmpfunc)PyIscsiNode_compare,
            .tp_init = PyIscsiNode_init,
            .tp_str = PyIscsiNode_str,
            .tp_new = PyType_GenericNew,
            .tp_doc = "The iscsi node contains iscsi node information.",
    }